Subject: Re: [PATCH v2] net: cadence: Add architecture dependencies

From: Michal Simek <[email-masked]>
Date: Wed, 23 Apr 2014 09:16:49 +0200

On 04/22/2014 10:32 PM, Mark Brown wrote:
> On Mon, Apr 14, 2014 at 03:38:49PM +0200, Jean Delvare wrote:
>> The Cadence ethernet chipsets are only used on specific ARM
>> architectures. Add Kconfig dependencies so that drivers for these
>> chipsets are only buildable on the relevant architectures.
> 
> Are you sure they're not used on any of the FPGA platforms like
> Microblaze?  Cadence are an IP company, might be worth having a FPGA
> Kconfig that architectures commonly deployed with lots of soft IPs can
> select and the IPs depend on rather than building a custom list for each
> IP.

macb driver can be used by Microblaze too.

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng), OpenPGP -> KeyID: FE3D1F91
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel - Microblaze cpu - http://www.monstr.eu/fdt/
Maintainer of Linux kernel - Xilinx Zynq ARM architecture
Microblaze U-BOOT custodian and responsible for u-boot arm zynq platform